Citations

Get a citation

Returns a single citation. The citation must belong to a response in the active project.

GET /api/v1/citations/{citation}

Path parameters

Name Type Required Description
citation integer Required

The numeric ID of the citation.

Query parameters

Name Type Required Description
include string Optional

A comma-separated list of related resources to include in the response. Allowed values: response, response.prompt, response.monitor, response.project, source_url, source_url.source, source_url.source.project.

Response

The citation object

Field Type Description
id integer

The unique ID of the citation.

url string

The URL that the AI engine cited.

title string

The title of the cited page, if known.

description string

A short description of the cited page, if known.

domain string

The domain of the source that this citation belongs to.

position integer

The one-indexed order in which the citation appeared in the response. A position of 1 means it was the first citation in the answer.

created_at datetime

When the citation was recorded.

updated_at datetime

When the citation was last updated.